QIconFactory(3qt)

NAME
QIconFactory - Used to create pixmaps for a QIconSet

SYNOPSIS
#include <ntqiconset.h>

  Public Members
QIconFactory ()
virtual ~QIconFactory ()
virtual QPixmap * createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )
void setAutoDelete ( bool autoDelete )
bool autoDelete () const

  Static Public Members
QIconFactory * defaultFactory ()
void installDefaultFactory ( QIconFactory * factory )

DESCRIPTION
The QIconFactory class is used to create pixmaps for a QIconSet.

By reimplementing createPixmap(), you can override QIconSet's default algorithm for computing pixmaps not supplied by the user.

Call setAutoDelete(TRUE) if you want the factory to automatically delete itself when it is no longer needed by QIconSet.

See also QIconSet and Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QIconFactory::QIconFactory ()
Constructs an icon factory.

QIconFactory::~QIconFactory () [virtual]
Destroys the object and frees any allocated resources.

bool QIconFactory::autoDelete () const
Returns TRUE if auto-deletion is enabled; otherwise returns FALSE.

See also setAutoDelete().

QPixmap * QIconFactory::createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state ) [virtual]
Ceates a pixmap for iconSet with a certain size, mode, and state. Returns 0 if the default QIconSet algorithm should be used to create a pixmap that wasn't supplied by the user.

It is the caller's responsibility to delete the returned pixmap.

The default implementation always returns 0.

QIconFactory * QIconFactory::defaultFactory () [static]
Returns the default icon factory.

See also installDefaultFactory().

void QIconFactory::installDefaultFactory ( QIconFactory * factory ) [static]
Replaces the default icon factory with factory.

void QIconFactory::setAutoDelete ( bool autoDelete )
If autoDelete is TRUE, sets the icon factory to automatically delete itself when it is no longer referenced by any QIconSet and isn't the default factory. If autoDelete is FALSE (the default) auto-deletion is disabled.

See also autoDelete() and defaultFactory().

SEE ALSO
http://doc.trolltech.com/qiconfactory.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqiconfactory.3qt) and the Qt version (3.3.8).